# TODO: %%langify libdir/googleearth/{lang,resources}

# No debuginfo to create
%define debug_package %{nil}

Source0:        http://dl.google.com/earth/client/current/GoogleEarthLinux.bin
#{!?_with_source:NoSource: 0}

%define version %(sh %{SOURCE0} --info | awk '/Identification:/ { print $NF }')

Summary:        Google Earth
Name:           googleearth
Version:        %{version}
Release:        1%{?dist}
Group:          Amusements/Graphics
License:        Proprietary
URL:            http://earth.google.com/
Source1:        %{name}-find-requires.sh
Source100:      %{name}-libstdc++.so.6.0.10.fc10
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildArch:      i386
BuildRequires:  desktop-file-utils

%define _use_internal_dependency_generator 0
%define __find_requires %{SOURCE1}
%define __find_provides %{nil}

%define datapath        %{_libdir}/%{name}


%description
Google Earth combines the power of Google Search with satellite
imagery, maps, terrain and 3D buildings to put the world's geographic
information at your fingertips.


%prep
%setup -q -c -T
sh %{SOURCE0} --target . --nox11 --noexec

#  exit just after the creation of menu and mime files...
sed -i '/chmod/ s/.*/exit 0/' postinstall.sh
SETUP_INSTALLPATH=. sh postinstall.sh

sed -i '
    s,^Exec=.*,Exec=%{_bindir}/%{name},
    s,^Icon=.*,Icon=%{name},
    s,^Categories=.*,Categories=Network;,
    /^MultipleArgs=/ d
' Google-googleearth.desktop


%build


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{datapath}
tar -xvf googleearth-linux-x86.tar -C $RPM_BUILD_ROOT%{datapath}
tar -xvf googleearth-data.tar -C $RPM_BUILD_ROOT%{datapath}

install -p -m755 bin/%{name} $RPM_BUILD_ROOT%{datapath}/%{name}
install -d $RPM_BUILD_ROOT%{_bindir}
ln -s %{datapath}/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

install %{SOURCE100} $RPM_BUILD_ROOT%{datapath}/libstdc++.so.6


find $RPM_BUILD_ROOT%{datapath}/{resources,xml} -type f -print0 | \
        xargs -0 -r chmod -x

desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
    --vendor="" --mode=644 Google-googleearth.desktop

install -d $RPM_BUILD_ROOT%{_datadir}/mime/packages
install -m644 googleearth-mimetypes.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages

install -D -p -m644 googleearth-icon.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/googleearth.png


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database >/dev/null 2>&1 || :

update-mime-database %{_datadir}/mime >/dev/null 2>&1 || :

gtk-update-icon-cache -qf %{_datadir}/icons/hicolor 2>/dev/null || :


%postun
update-desktop-database >/dev/null 2>&1 || :

update-mime-database %{_datadir}/mime >/dev/null 2>&1 || :

gtk-update-icon-cache -qf %{_datadir}/icons/hicolor 2>/dev/null || :


%files
%defattr(-,root,root,-)
%doc README.linux
%{_bindir}/googleearth
%{_datadir}/applications/*
%{_datadir}/mime/packages/*
%{_datadir}/icons/hicolor/*/apps/*
%{datapath}/


%changelog
* Mon Jun 07 2010 Jaroslaw Polok - 5.1.3535.3218
- added libstdc++ from Fedora 10

* Wed Jul 16 2008 Ville Skyttä <ville.skytta at iki.fi> - 4.3.7284.3916-3
- Keep bundled libfreeimage and remove libstdc++, fixes F-9 x86_64 crash.

* Tue Jul 15 2008 Ville Skyttä <ville.skytta at iki.fi> - 4.3.7284.3916-2
- Minor find-requires improvements.
- Change Group tag back to Amusements/Graphics.
- Re-add some specfile comments lost in previous revision.

* Mon Jul 14 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 4.3.7284.3916-1
- upgrade to 4.3.7284.3916 (4.3.beta)
- autodetect proper version number
- automate the generation of requires list (own find-requires script)
- use symlink instead of own run script
- drop some libraries, mark some candidates to drop
- use original desktop file (certainly with some changes)
- add original mime file
- add mime and desktop updates for post and postun scriptlets

* Fri Apr 11 2008 Ville Skyttä <ville.skytta at iki.fi> - 4.2.205.5730-0.1
- 4.2.205.5730.
- Ship fewer copies of system libs.

* Tue Jun 12 2007 Ville Skyttä <ville.skytta at iki.fi> - 4.1.7076.4458-0.1
- 4.1.7076.4458.

* Wed Mar  7 2007 Ville Skyttä <ville.skytta at iki.fi> - 4.0.2735-0.1
- First build, loosely based on PLF package.
